Const SCRIPT_TITLE = "Configuration Variable Rename Script"
Const CONFIG_FILE = "Config.ini"

Dim fso, fsoRead, fsoWrite, lines, line, text, newContent

Set fso = CreateObject("Scripting.FileSystemObject")

If (Not fso.FileExists(CONFIG_FILE)) Then
	MsgBox "Configuration file does not exist!", 0, SCRIPT_TITLE
	WScript.Quit(0)
End If

Set fsoRead = fso.OpenTextFile(CONFIG_FILE, 1, True)
lines = Split(fsoRead.ReadAll, vbNewLine)
fsoRead.Close

For Each line in lines
	If (Len(line) >= Len("D2DVBerByte=") And Mid(line, 1, len("D2DVBerByte=")) = "D2DVBerByte=") Then
		text = Mid(line, Len("D2DVBerByte=") + 1)
		newContent = newContent & "D2DVVerByte=" & text & vbNewLine
	Else
		newContent = newContent & line & vbNewLine
	End If
Next

Set fsoWrite = fso.OpenTextFile(CONFIG_FILE, 2, True)
fsoWrite.Write newContent
fsoWrite.Close

MsgBox "The D2DVBerByte config variable has been renamed!", 0, SCRIPT_TITLE